.PHONY: clean

all:	netlist

PRJ := mips_top
PRJDIR := ./project
PREQ := $(PRJDIR)/$(PRJ).prj $(PRJDIR)/$(PRJ).xst $(PRJDIR)/$(PRJ).lso
DIRS := ./xst/tmp

netlist: $(PRJ).ngc

$(PRJ).ngc: $(DIRS) $(PREQ)
	xst -ifn $(PRJDIR)/$(PRJ).xst -intstyle xflow

$(DIRS):
	mkdir -p $(DIRS)

clean:
	rm -rf ./xst
	rm -rf ./xlnx_auto_0_xdb
	rm -f xlnx_auto_0.ise
	rm -f $(PRJ)*.*
	rm -f $(PRJ)_xst.xrpt
	


